//This file is making well-cleaned rawdata and saving it in the folder $adj_raw.

include "D:\data\Workdata\703822\Do_3822\p1602\Fra_RFF\Voc_vs_General_JHR\A0_paths.do"


//1) Cleaning the population register (drop observations with missing id (pnr), etc.
forval t = 1980/1985 {
use "$rawdata\fain`t'", clear
merge 1:1 pnr using "$rawdata\iepe`t'", keep(master match) keepusing(ie_type opr_land) nogen
duplicates report pnr
drop if pnr == .
drop mor_id far_id
count if pnrf == .
gen fodtdato = .
save "$adj_raw\fain`t'", replace
}

forval t = 1986/1989 {
use "$rawdata\fain`t'", clear
merge 1:1 pnr using "$rawdata\bef`t'", keep(master match) keepusing(familie_type) nogen
merge 1:1 pnr using "$rawdata\iepe`t'", keep(master match) keepusing(ie_type opr_land) nogen
duplicates report pnr
drop if pnr == .
count if pnrf == .
drop mor_id far_id
save "$adj_raw\fain`t'", replace
}

forval t = 1990/1991 {
use "$rawdata\fain`t'", clear
merge 1:1 pnr using "$rawdata\bef`t'", keep(master match) keepusing(familie_type) nogen
merge 1:1 pnr using "$rawdata\iepe`t'", keep(master match) keepusing(ie_type opr_land) nogen
duplicates report pnr
drop if pnr == .
drop mor_id far_id
destring pnrm, replace force
destring pnrf, replace force
save "$adj_raw\fain`t'", replace
}

forval t = 1992/2007 {
use "$rawdata\fain`t'", clear
merge 1:1 pnr using "$rawdata\bef`t'", keep(master match) keepusing(familie_type) nogen
merge 1:1 pnr using "$rawdata\iepe`t'", keep(master match) keepusing(ie_type opr_land) nogen
duplicates report pnr
drop if pnr == .
count if pnrf == .
drop mor_id far_id
save "$adj_raw\fain`t'", replace
}

forval t = 2008/2014 {
use "$rawdata\bef`t'", clear
merge 1:1 pnr using "$rawdata\iepe`t'", keep(master match) keepusing(ie_type opr_land) nogen
duplicates report pnr
drop if pnr == .
drop pnrm pnrf
rename mor_id pnrm
rename far_id pnrf
count if pnrf == .
save "$adj_raw\fain`t'", replace
}

local t = 2015
use "$rawdata\iepe`t'", clear
keep pnr ie_type opr_land
destring pnr, replace force
merge 1:1 pnr using "$rawdata\bef`t'", keep(using match) nogen
gen fodtdato = .
duplicates report pnr
drop if pnr == .
drop pnrm pnrf
rename mor_id pnrm
rename far_id pnrf
count if pnrf == .
save "$adj_raw\fain`t'", replace

local t = 2016
use "$rawdata\bef`t'", clear
gen fodtdato = .
duplicates report pnr
drop if pnr == .
drop pnrm pnrf
rename mor_id pnrm
rename far_id pnrf
count if pnrf == .
save "$adj_raw\fain`t'", replace


//2) Cleaning the education register udda, generate the variables igfsp and hffsp (formats for enrolled and highest completed education)
forval year = 1981/2015 {
use "$rawdata\udda`year'", clear
drop if pnr == .
merge m:1 udd using "$data\udd_til_igfsp2015", nogen keep(master match)
rename igfsp igfsp`year'
merge m:1 hfaudd using "$data\hfaudd_til_hffsp2015", nogen keep(master match)
rename hffsp hffsp`year'
save "$adj_raw\udda`year'", replace
}


//3) Cleaning the labor market register ras, ensure consistency across years 
forval year = 1980/1989 {
use "$rawdata\ras`year'", clear
gen novprio = 1
rename arbstil soc_status_kode
replace soc_status_kode = 200 if soc_status_kode == 40
replace soc_status_kode = 300 if soc_status_kode >= 41
replace soc_status_kode = 511 if soc_status_kode == 92
save "$adj_raw\ras`year'", replace
}

forval year = 1990/1993 {
use "$rawdata\ras`year'", clear
keep if novprio == 1
rename arbstil soc_status_kode
replace soc_status_kode = 200 if soc_status_kode == 40
replace soc_status_kode = 300 if soc_status_kode >= 41
replace soc_status_kode = 511 if soc_status_kode == 92
save "$adj_raw\ras`year'", replace
}

forval year = 1994/1995 {
use "$rawdata\ras`year'", clear
keep if novprio == 1
rename nyarb soc_status_kode
replace soc_status_kode = 200 if soc_status_kode == 40
replace soc_status_kode = 300 if soc_status_kode >= 41
replace soc_status_kode = 511 if soc_status_kode == 310
save "$adj_raw\ras`year'", replace
}

forval year = 1996/2009 {
use "$rawdata\ras`year'", clear
keep if novprio == 1
rename socstil soc_status_kode
replace soc_status_kode = 200 if inrange(soc_status_kode,200,201)
replace soc_status_kode = 511 if soc_status_kode == 310
save "$adj_raw\ras`year'", replace
}

forval year = 2010/2014 {
use "$rawdata\ras`year'", clear
rename primaer_status_kode novprio
keep if novprio == 1
drop if pnr == .
save "$adj_raw\ras`year'", replace
}

forval year = 1980/2014 {
use "$adj_raw\ras`year'", clear
count if novprio == .
}


//4) Cleaning the income register indh
forval year = 1980/2012 {
use "$rawdata\indh`year'", clear
duplicates drop
drop if pnr == .
save "$adj_raw\indh`year'", replace
}



