include "D:\data\Workdata\703822\Do_3822\p1602\Fra_RFF\Voc_vs_General_JHR\A0_paths.do"

// A: data programs

// do "$dofiles\A0_making adj_raw"   // Cleaning: Making adjusted rawdata
do "$dofiles\A1_data"    // use only rawdata, saves data and allsiblings
do "$dofiles\A2_discony"  // use data, saves discony. Disconnection/NEET (not in employment or education/training) 
do "$dofiles\A3_cony"  // use data, saves cony. Connection to labor market and education system
do "$dofiles\A4_child_parent_address"   //  use data, saves child_parent_address
do "$dofiles\A5_income"   //    use data, saves income
do "$dofiles\A6_grades"  // use data, saves grades
do "$dofiles\A7_education"   //  use data, saves udd
do "$dofiles\A8_crime"   // use data, saves crime
do "$dofiles\A9_findadress"  // use rawdata and saves firstuddaadresse and firstuddaadresse_big  // find address
do "$dofiles\A10_distance_to_education"   // use dataset created in A9_findadress and distance measures from kraks and saves uddannelse_afstand2005 (based on 2005 education codes) and uddannelse_afstand2005_big.
do "$dofiles\A11_prep1"  // merges the datasets constructed in do files A1 to A10, saves prep1
do "$dofiles\A12_predicted_income"  // Predicted income at age 40
do "$dofiles\A13_addoutcomes"   // Additional outcomes at age 28
do "$dofiles\A14_fertility"   // Fertility by age 28
do "$dofiles\A15_prep2"   //  merges datasets, prepare for estimation, sample selection information (Table A1) 
do "$dofiles\A16_globals"  // define globals used in the estimation codes

// B: estimation programs

do "$dofiles\B0_estimation"   // Estimation: B0: basic estimations, creates many tables and figures, including descriptive tables

// Estimation: B1-B8: Code for bootstrapping SE's, and code for creating tables and figures including these results

do "$dofiles\B1_boot_prepare_old7477_complete"   // B1: predicted earnings at age 40. Stacked dataset for stratified bootstrap sampling
do "$dofiles\B1_bootstrap_prte_p01"              // B1: bootstrapped standard errors for predicted earnings at age 40 (MTE models)
do "$dofiles\B2_bootstrap_earn28_prte_p01"           // B2: bootstrapped standard errors for earnings at age 28 (MTE models)
do "$dofiles\B2_bootstrap_tables_6_A14_C3_figure_1"  // B2: Tables 6, A14 and C3, and figure 1
do "$dofiles\B3_bootstrap_robustness_distnearest_prte_p01"  // B3: robustness, specification of instruments
do "$dofiles\B3_bootstrap_robustness_distnocross_prte_p01"
do "$dofiles\B3_bootstrap_robustness_tables_C1_C2"
do "$dofiles\B4_bootstrap_OLS"                    // B4: Bootstrapped standard errors in OLS models of predicted earnings at age 40 
do "$dofiles\B4_bootstrap_OLS_tables_4_A6"
do "$dofiles\B5_boot_prepare_old7177_complete"             // B5: More older cohorts used for predicting earnings at age 40. Stacked dataset for stratified bootstrap sampling
do "$dofiles\B5_bootstrap_robustness_earn40_edu7477_prte_p01"  // only education and gender used to predict earnings at age 40 (MTE models)
do "$dofiles\B5_bootstrap_robustness_earn40_nolags_prte_p01"   // no lags in prediction model (MTE models)
do "$dofiles\B5_bootstrap_robustness_earn40_old7177_prte_p01"  // More older cohorts used for predicting earnings at age 40 (MTE models)
do "$dofiles\B5_bootstrap_robustness_earn40_tables_C4_C5"
do "$dofiles\B6_boot_prepare_earn28_old7477_complete"  // B6: predicting earnings at age 28 - specification checks. Stacked dataset for stratified bootstrap sampling
do "$dofiles\B6_boot_prepare_main_complete"            //     additional stacked dataset for stratified bootstrap sampling
do "$dofiles\B6_bootstrap_specification_earn28p27_7477_prte_p01"      // bootstrapped standard errors for predicted earnings at age 28 (MTE models)
do "$dofiles\B6_bootstrap_specification_earn28p27main_allx_prte_p01"
do "$dofiles\B6_bootstrap_specification_earn28p27main_prte_p01"
do "$dofiles\B6_bootstrap_specification_table_C6"
do "$dofiles\B7_boot_prepare_enroll"               // B7: enrollment as treatment. Stacked dataset for stratified bootstrap sampling
do "$dofiles\B7_bootstrap_enroll_earn28_prte_p01"  // B7: bootstrapped standard errors for earnings at age 28 (MTE models)
do "$dofiles\B7_bootstrap_enroll_prte_p01"         // B7: bootstrapped standard errors for predicted earnings at age 40 (MTE models)
do "$dofiles\B7_bootstrap_table_C10_figure_C1_enroll"
do "$dofiles\B8_bootstrap_2SLS"        // B8: standard 2SLS estimates. Bootstrapped standard errors in models of predicted earnings at age 40
do "$dofiles\B8_bootstrap_2SLS_earn28" //                              Bootstrapped standard errors in models of earnings at age 28
do "$dofiles\B8_bootstrap_2SLS_table_B1"

clear
