*** This programme calculates additional outcome variables at age 28 related to children/fertility
include "D:\data\Workdata\703822\Do_3822\p1602\Fra_RFF\Voc_vs_General_JHR\A0_paths.do"
local dstformat "\\srvfsenas1\data\Formater\SAS formater i Danmarks Statistik\STATA_datasaet\Disced\"
set more off 
set matsize 2000

cd "$data"
clear
save append16am, replace emptyok
save append16af, replace emptyok

use prep1, clear
keep pnr byear male 
save temp16a, replace
// Females: children end of the year where the individual turns 29 (i.e. the individual is 28 years of age in the beginning of the year)
forval by=1986/1989{
local t=`by'+29+1   // t=2016-2019
use temp16a, clear
keep if byear==`by'
keep if male==0
rename pnr mor_id
merge 1:m mor_id using "$rawdata\bef`t'.dta", keep(master match) keepusing(pnr alder) nogen
bys mor_id (alder): egen agey28=min(alder)   // age of youngest child
bys mor_id (alder): egen ageo28=max(alder)   // age of oldest child
gen nochild28=(alder==.)
bys mor_id (alder): gen numchildren28=_N
replace numchildren28=0 if nochild28==1
bys mor_id (alder): keep if _n==_N
drop pnr alder
rename mor_id pnr
append using append16am
save append16am, replace
}

// Males: ditto
forval by=1986/1989{
local t=`by'+29+1   // t=2016-2019
use temp16a, clear
keep if byear==`by'
keep if male==1
rename pnr far_id
merge 1:m far_id using "$rawdata\bef`t'.dta", keep(master match) keepusing(pnr alder) nogen
bys far_id (alder): egen agey28=min(alder)   // age of youngest child
bys far_id (alder): egen ageo28=max(alder)   // age of oldest child
gen nochild28=(alder==.)
bys far_id (alder): gen numchildren28=_N
replace numchildren28=0 if nochild28==1
bys far_id (alder): keep if _n==_N
drop pnr alder
rename far_id pnr
append using append16af
save append16af, replace
}

append using append16am
la var agey28 "Age youngest child (at age 28)" 
la var ageo28 "Age oldest child (at age 28)"
la var nochild28 "No child (at age 28)"
la var numchildren28 "No. of children (at age 28)"
gen child28=1-nochild28
la var child28 "Parent at age 28"
save fertility, replace

sum
sum if male==0
tab1 agey28 ageo28 numchildren if male==0, mis
tab nochild28 numchildren28 if male==0
sum if male==1
tab1 agey28 ageo28 numchildren if male==1, mis
tab nochild28 numchildren28 if male==1


