// This program constructs variables for being in employment or education at age t (i.e., 1-neet (at age a))
// Main outcome is eeb (b for "brutto"=gross) where "others not in workforce ("øvrige udenfor arbejdsstyrken") are not considered employed or students.
// Also: variables for education status at age a
// Also: soc_status_kode by age which can be used to construct additional variables for labor market status

include "D:\data\Workdata\703822\Do_3822\p1602\Fra_RFF\Voc_vs_General_JHR\A0_paths.do"
set more off 
cd "$data"
tempfile temp
tempfile append

clear
save `append', replace emptyok

use data, clear          // byear cohorts 1986-1989
keep pnrb byear
rename pnrb pnr
save `temp', replace
clear

local start=2011

forval t=`start'/2017{
use `temp', clear
local year = `t'
tempfile tempo2`t'
save "`tempo2`t''", replace
use "$rawdata\ras`year'", clear
keep if pri == 1
keep pnr soc_status_kode
rename soc_status_kode soc_status_kode`year'
drop if pnr == .
merge 1:1 pnr using "`tempo2`t''", keep(match)  // keep only those who are in ras(t) and in our basic dataset of 4 cohorts
gen year= `year'                                
gen ras = .
replace ras = soc_status_kode`year' if soc_status_kode`year' !=.

//neen variable = 1 if the individual is not in employment or enrolled in education, and not in the category "others not in labor force" ("øvrige udenfor arbejdsstyrken").
gen neen = 1 if [inrange(ras,200,415)] 
gen neeb = 1 if [inrange(ras,200,415) | ras == 513] 
gen edu = [ras==511 | inrange(ras,514,517)] 
keep pnr byear neen neeb edu ras
bysort pnr: keep if _n == 1 
replace neen = (neen==1)  
replace neeb = (neeb==1)
gen een=1-neen
gen eeb=1-neeb
gen age=`t'-byear        // age end of year because of date definition of RAS, see comment above. RAS<t> contains labour market status beginning of t+1 (end Nov. t) for population beginning of t+1. 

forval y=1989(-1)1986{
local a=`t'-`y'
display `a'
gen een`a' = .
gen eeb`a' = .
gen edu`a' = .
gen sta`a' = .
replace een`a' = een   if `a'==age
replace eeb`a' = eeb   if `a'==age
replace edu`a' = edu   if `a'==age
replace sta`a' = ras   if `a'==age
la var een`a'  "Employed or student age `a' (net)"
la var eeb`a'  "Employed or student age `a'"
la var edu`a'  "Student age `a'"
la var sta`a'  "soc_status_kode (RAS)"
}
sum een*
drop neen neeb een eeb edu age byear
if `t'>`start' merge 1:1 pnr using `append', update nogen
save `append', replace
}
rename pnr pnrb
drop  *22 *23 *24 
order _all, alpha
save cony, replace   // connected (employed or student)

sum
sum ee* edu* sta*

