// Do children live with their parents when the children are 1, 5, 10 and 14 years of age

include "D:\data\Workdata\703822\Do_3822\p1602\Fra_RFF\Voc_vs_General_JHR\A0_paths.do"
cd "$data"

foreach number in 1 5 10 14 {
forval year = 1986/2003 {
use data, clear
keep pnrb pnrm pnrf byear
keep if byear + `number' == `year'

foreach z in b m f {
rename pnr`z' pnr
merge m:1 pnr using "$rawdata\fain`year'", nogen keep(master match) keepusing(kom bopikom koen)
rename kom     kom`z'
rename bopikom bopikom`z'
rename pnr     pnr`z'
}
gen parrentborsam`number' = [komm == komf & komm == komb & bopikomm == bopikomf & bopikomm == bopikomb] // parents live together
gen borhjemme`number' = [komb == komf & bopikomb == bopikomf] | [komb == komm & bopikomb == bopikomm]   // child lives with at least one parent

gen misfather = pnrf == .
gen mismother = pnrm == .
la var misfather "There is no father ID"
la var mismother "There is no mother ID"

gen nokomb`number' = komb == .  // child not in population register
gen nokomm`number' = komm == .  // mother not in population register
gen nokomf`number' = komf == .  // father not in population register

save "$data\temp\hjemme`year'_`number'", replace
}
use "$data\temp\hjemme1986_`number'", clear
forval year = 1987/2003 {
append using "$data\temp\hjemme`year'_`number'"
}

keep pnr* parrentborsam`number' borhjemme`number' nokomm`number' nokomf`number' nokomb`number' misfather mismother
save "$data\temp\hjemmeall_`number'", replace 
}

use "$data\temp\hjemmeall_1", clear
merge 1:1 pnrb using "$data\temp\hjemmeall_5", nogen 
merge 1:1 pnrb using "$data\temp\hjemmeall_10", nogen 
merge 1:1 pnrb using "$data\temp\hjemmeall_14", nogen 
save "$data\child_parent_address", replace


foreach number in 1 5 10 14 {
forval year = 1986/2003 {
erase "$data\temp\hjemme`year'_`number'.dta"
}
erase "$data\temp\hjemmeall_`number'.dta"
}


