//A4_grades. 9th grade test scores and marks for the year's work

include "D:\data\Workdata\703822\Do_3822\p1602\Fra_RFF\Voc_vs_General_JHR\A0_paths.do"

cap log close
set more off 

cd "$data"
clear
save empty, replace emptyok

use data, clear
keep pnrb fodtdato byear
rename pnrb pnr
tempfile temp
save "`temp'", replace
bys byear: count

use "$rawdata\udfk2015.dta", clear  // test score register

rename proeveform proeveform_string
bysort proeveform_string: gen first = _n == 1
gen proeveform = sum(first)
drop proeveform_string first

rename skoleaar skoleaar_string
bysort skoleaar_string: gen first = _n == 1
gen skoleaar = sum(first) + 2001
drop skoleaar_string first

destring pnr, replace force
drop if pnr == .
merge m:1 pnr using "`temp'", keep(match)

destring kltrin, replace force   
save "$data/temp/tempfil", replace

preserve
bysort pnr: keep if _n == 1
count         // About 8% are not in test score register. Part of this is due to the 1986 cohort 
			  // for which we do not have 9th grade marks if they complete 9th grade 1 year earlier than standard.
              // Among these persons, we do not have info. on marks if they do not have 10th grade marks.
bys byear: count
restore
drop if kltrin==8 | (kltrin==10 & grundskoleniveau =="FS10") //Keeping grades from 9th class or final exams from 10th grade if they are "FSA" - primary schools final exam. 
															 //Allows marks for the years work in 10th grade which are at 9th grade level if the student sit the 9th grade exam in 10th grade
drop cprtjek cprtype _merge 

preserve
bysort pnr: keep if _n == 1  
count         //  About 7,000 persons don't have 9th grade marks, but do have 10th grade marks. Cohort 1986 can explain part of this, see comment above.
bys byear: count
restore

gen fag = fagkode
*Danish
replace fag = "DANM_BP_AF" if inlist(fagkode, "DANM_BP_AF_9", "110_005","DANMPRV9", "DANM_BP_AF_10", "DANMPRV10") & inlist(proeveform, 2, 5)
replace fag = "DANM_ST" if inlist(fagkode, "DANMAAR9", "DANM_ST_9", "110_005") & inlist(proeveform, 7)
replace fag = "DANSF_BP_AF" if inlist(fagkode, "DANSPRV9", "DANSF_BP_AF_9", "110_003", "DANSPRV10", "DANSF_BP_AF_10") & inlist(proeveform, 2, 5)
replace fag = "DANSF_ST" if inlist(fagkode, "DANSAAR9", "DANSF_ST_9", "110_003", "DANSAAR9") & inlist(proeveform, 7)
replace fag = "DANR_BP_AF" if inlist(fagkode, "DANRS_BP_AF_9", "DANRPRV9", "110_002", "DANRS_BP_AF_10", "DANRPRV10") & inlist(proeveform, 2, 5)
replace fag = "DANR_ST" if inlist(fagkode, "DANRS_ST_9", "DANRAAR9", "110_002") & inlist(proeveform, 7)
*Math
replace fag = "MATF_BP_AF" if inlist(fagkode, "MATF_BP_AF_9", "310_007", "MATF_BP_AF_10") & inlist(proeveform, 2,5)
replace fag = "MATF_ST" if inlist(fagkode, "MATF_ST_9", "310_007") & inlist(proeveform, 7)
replace fag = "MATP_BP_AF" if inlist(fagkode, "MATP_BP_AF_9", "310_008", "MATP_BP_AF_10") & inlist(proeveform, 2,5)
replace fag = "MATP_ST" if inlist(fagkode, "MATP_ST_9", "310_008") & inlist(proeveform, 7)
replace fag = "MATM_ST" if inlist(fagkode, "MATMAAR9", "MATM_ST_9", "310_005") & inlist(proeveform, 7)
*physics and chemestry
replace fag = "FK_BP_AF" if inlist(fagkode, "FKMPRV9", "FKSPRV9", "FKPRV9", "FK_BP_AF_9", "320_006", "FK_BP_AF_10", "FKPRV10") & inlist(proeveform, 2, 5)
replace fag = "FK_ST" if inlist(fagkode, "FKAAR9", "FK_ST_9", "320_006") & inlist(proeveform, 7)
*English
replace fag = "ENGM_BP_AF" if inlist(fagkode, "ENGMPRV9", "ENGM_BP_AF_9", "120_005" "ENGM_BP_AF_10" "ENGMPRV10") & inlist(proeveform, 2, 5)
replace fag = "ENGM_ST" if inlist(fagkode, "ENGMAAR9", "ENGM_ST_9", "120_005") & inlist(proeveform, 7)
replace fag = "ENGS_ST" if inlist(fagkode, "ENGS_ST_9", "120_003") & inlist(proeveform, 7)
*mandatory project
replace fag = "OBLKAR" if inlist(fagkode, "OBLKAR9", "OBLKAR_9", "710_000") & inlist(proeveform, 7) 

** Further corrections
replace fag= "MATSPRV9" if fag=="MATSPRV10"

keep if inlist(fag,"MATSAAR9","MATSPRV9", "ENGS_ST", "DANR_BP_AF", "DANR_ST") | ///
			inlist(fag,"DANSF_BP_AF","DANSF_ST","DANM_BP_AF","DANM_ST") | /// 
			inlist(fag,"MATF_BP_AF","MATF_ST","MATP_BP_AF","MATP_ST","MATM_ST") | ///
			inlist(fag,"OBLKAR","ENGM_ST","ENGM_BP_AF","FK_ST","FK_BP_AF")
			
***dropping duplets within the same course
*drop FKMPRV9 if the person has marks for both FKMPRV9 (Science oral) and FKSPRV9 (Science written), since you are not examined in both.
duplicates tag pnr fag skoleaar if fag == "FK_BP_AF", g(dup)
drop if fagkode == "FKMPRV9" & dup == 1 | dup == 2 | dup == 3 
tab dup
sort pnr fag skoleaar 
by pnr: gen mark=fag!=fag[_n-1] & _n!=1   // mark=1 if different subject and not first obs given pnr.  mark=0 if first obs or subject=subject(-1) (fag = subject)
by pnr: egen tael=sum(mark)               // No. of different subjects for each person minus 1 (the first)
tab1 mark tael, m
by pnr fag: keep if _n==_N  // Only 1 obs per pnr and subject (the last). Thus, if a person has marks in the same subject in two different years, the mark for the last year is used
drop mark tael

rename opr_karakter orig_grade
rename grundskolekarakter conv_grade

***creating a variable with only one graduate year pr person (the last year if there are more than one)
save tempx, replace	
sort pnr skoleaar
gen skoleaarx = skoleaar
by pnr: keep if _n==_N
keep pnr skoleaarx 
save tempy, replace

use tempx, clear
merge m:1 pnr using tempy

drop skoleaar
rename skoleaarx grad_year
gen     grade13=orig_grade
replace grade13=. if skala!=13 // The "13 grading scale" was used 2002-2007. About 99.97% of the grades for the 4 cohorts with byear 1986-89 are based on the "13 grading scale"
keep fag pnr orig_grade conv_grade grade13 grad_year skala

tab grad_year if skala == 7 //New grading scale used from 2008
drop skala

save tempy, replace

***reshape
reshape wide @orig_grade @conv_grade @grade13, i(pnr) j(fag) string

***replace the old grade with missing if the person have both the old and the new type of math grades
replace MATSAAR9conv_grade = . if  MATSAAR9conv_grade != . & MATP_STconv_grade !=.
replace MATSAAR9conv_grade = . if  MATSAAR9conv_grade != . & MATF_STconv_grade !=.
replace MATSPRV9conv_grade = . if  MATSPRV9conv_grade != . & MATP_BP_AFconv_grade !=.
replace MATSPRV9conv_grade = . if  MATSPRV9conv_grade != . & MATF_BP_AFconv_grade !=.
replace MATSAAR9orig_grade = . if  MATSAAR9orig_grade != . & MATP_STorig_grade !=.
replace MATSAAR9orig_grade = . if  MATSAAR9orig_grade != . & MATF_STorig_grade !=.
replace MATSPRV9orig_grade = . if  MATSPRV9orig_grade != . & MATP_BP_AForig_grade !=.
replace MATSPRV9orig_grade = . if  MATSPRV9orig_grade != . & MATF_BP_AForig_grade !=.

***standardized grades
*one variable for each year
foreach num in 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014{
foreach var in DANM_BP_AForig_grade DANM_STorig_grade  DANR_BP_AForig_grade DANR_STorig_grade DANSF_BP_AForig_grade  ///
	DANSF_STorig_grade ENGM_BP_AForig_grade ENGM_STorig_grade FK_BP_AForig_grade FK_STorig_grade  ///
	MATF_BP_AForig_grade MATF_STorig_grade MATM_STorig_grade  ///
	MATP_BP_AForig_grade MATP_STorig_grade MATSAAR9orig_grade  MATSPRV9orig_grade OBLKARorig_grade    {
egen std`var'_`num' = std(`var') if grad_year==`num'
}
}
*one variable for all the years
foreach var in DANM_BP_AForig_grade DANM_STorig_grade  DANR_BP_AForig_grade DANR_STorig_grade DANSF_BP_AForig_grade  ///
	DANSF_STorig_grade ENGM_BP_AForig_grade ENGM_STorig_grade FK_BP_AForig_grade FK_STorig_grade  ///
	MATF_BP_AForig_grade MATF_STorig_grade MATM_STorig_grade  ///
	MATP_BP_AForig_grade MATP_STorig_grade MATSAAR9orig_grade  MATSPRV9orig_grade OBLKARorig_grade    {
gen std`var'=.
}
foreach num in 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014{
foreach var in DANM_BP_AForig_grade DANM_STorig_grade  DANR_BP_AForig_grade DANR_STorig_grade DANSF_BP_AForig_grade  ///
	DANSF_STorig_grade ENGM_BP_AForig_grade ENGM_STorig_grade FK_BP_AForig_grade FK_STorig_grade  ///
	MATF_BP_AForig_grade MATF_STorig_grade MATM_STorig_grade  ///
	MATP_BP_AForig_grade MATP_STorig_grade MATSAAR9orig_grade  MATSPRV9orig_grade OBLKARorig_grade    {
replace std`var'=std`var'_`num' if grad_year==`num'
}
}

***checking the number of nonmissingvalues for physics/chemistry and the mandatory project
egen OBL_nonmiss = rownonmiss(OBLKARconv_grade)
egen FK_ST_nonmiss = rownonmiss(FK_STconv_grade)
egen FK_AF_nonmiss = rownonmiss(FK_BP_AFconv_grade)
tab OBL_nonmiss
tab FK_ST_nonmiss
tab FK_AF_nonmiss

*mean of marks (test scores) for each subject (standardized and non-standardized marks)
egen danish_W_ex = rowmean(stdDANSF_BP_AForig_grade stdDANR_BP_AForig_grade) // Danish exam marks, only written 
egen danish_OW_ex = rowmean(stdDANM_BP_AForig_grade stdDANSF_BP_AForig_grade stdDANR_BP_AForig_grade) // Danish exam marks, both oral and written
egen danish_W_ex13 = rowmean(DANSF_BP_AFgrade13 DANR_BP_AFgrade13) // Danish exam marks, only written 
egen danish_OW_ex13 = rowmean(DANM_BP_AFgrade13 DANSF_BP_AFgrade13 DANR_BP_AFgrade13) // Danish exam marks, both oral and written

egen math_ex = rowmean(stdMATF_BP_AForig_grade stdMATP_BP_AForig_grade) if grad_year >= 2007 
replace math_ex = stdMATSPRV9orig_grade if grad_year < 2007
egen math_ex13 = rowmean(MATF_BP_AFgrade13 MATP_BP_AFgrade13) if grad_year >= 2007 
replace math_ex13 = MATSPRV9grade13 if grad_year < 2007

rename stdDANM_BP_AForig_grade danish_O_ex // Danish oral
rename stdDANSF_BP_AForig_grade danish_WP_ex // Danish written essay
rename stdDANR_BP_AForig_grade danish_WS_ex // Danish written spelling
rename stdMATSPRV9orig_grade math_W_ex // math written (Before 2007)
rename stdMATF_BP_AForig_grade math_A_ex // math arithmetic (2007 and after)
rename stdMATP_BP_AForig_grade math_PS_ex // math problem solving (2007 and after)
rename stdFK_BP_AForig_grade science_ex // science 
rename stdENGM_BP_AForig_grade english_ex // English
* teacher evaluated grades (marks for the year's work)******
rename stdDANM_STorig_grade danish_O_co // Danish oral
rename stdDANSF_STorig_grade danish_WP_co // Danish written essay
rename stdDANR_STorig_grade danish_WS_co // Danish written spelling
rename stdMATSAAR9orig_grade math_W_co // math written (Before 2007)
rename stdMATF_STorig_grade math_A_co // math arithmetic (2007 and after)
rename stdMATP_STorig_grade math_PS_co // math problem solving (2007 and after)
rename stdMATM_STorig_grade math_O_co // math oral
rename stdFK_STorig_grade science_co // science 
rename stdENGM_STorig_grade english_co // English
rename OBLKARorig_grade obl_proj //Mandatory project

rename DANM_BP_AFgrade13 danish_O_ex13 // Danish oral
rename DANSF_BP_AFgrade13 danish_WP_ex13 // Danish written essay
rename DANR_BP_AFgrade13 danish_WS_ex13 // Danish written spelling
rename MATSPRV9grade13 math_W_ex13 // math written (Before 2007)
rename MATF_BP_AFgrade13 math_A_ex13 // math arithmetic (2007 and after)
rename MATP_BP_AFgrade13 math_PS_ex13 // math problem solving (2007 and after)
rename FK_BP_AFgrade13 science_ex13 // science 
rename ENGM_BP_AFgrade13 english_ex13 // English
* teacher evaluated grades ******
rename DANM_STgrade13 danish_O_co13 // Danish oral
rename DANSF_STgrade13 danish_WP_co13 // Danish written essay
rename DANR_STgrade13 danish_WS_co13 // Danish written spelling
rename MATSAAR9grade13 math_W_co13 // math written (Before 2007)
rename MATF_STgrade13 math_A_co13 // math arithmetic (2007 and after)
rename MATP_STgrade13 math_PS_co13 // math problem solving (2007 and after)
rename MATM_STgrade13 math_O_co13 // math oral
rename FK_STgrade13 science_co13 // science 
rename ENGM_STgrade13 english_co13 // English
rename OBLKARgrade13 obl_proj13 //Mandatory project

*mean of teacher evaluated marks for each subject (standardized and non-standarized marks)
egen danish_W_co = rowmean(danish_WP_co danish_WS_co) // Danish exam marks, only written 
egen danish_OW_co = rowmean(danish_O_co danish_WP_co danish_WS_co) // Danish exam marks, both oral and written
egen math_co = rowmean(math_W_co math_W_co math_O_co)
egen math_co_help = rowmean(math_O_co math_PS_co) if grad_year>=2007
replace math_co = math_co_help if grad_year>=2007
drop math_co_help
egen danish_W_co13 = rowmean(danish_WP_co13 danish_WS_co13) // Danish exam marks, only written 
egen danish_OW_co13 = rowmean(danish_O_co13 danish_WP_co13 danish_WS_co13) // Danish exam marks, both oral and written
egen math_co13 = rowmean(math_W_co13 math_W_co13 math_O_co13)
egen math_co_help13 = rowmean(math_O_co13 math_PS_co13) if grad_year>=2007
replace math_co13 = math_co_help13 if grad_year>=2007
drop math_co_help math_co_help13

*exam grades (test scores)
egen exam_mean7 = rowmean(danish_O_ex danish_WP_ex danish_WS_ex english_ex  science_ex math_W_ex)  // mean of the mandatory scores, each score counted separately
egen exam_mean7_help = rowmean(danish_O_ex danish_WP_ex danish_WS_ex english_ex  science_ex math_A_ex math_PS_ex) if grad_year >= 2007
replace exam_mean7  = exam_mean7_help if grad_year >= 2007
drop exam_mean7_help
egen exam_mean4 = rowmean(danish_OW_ex math_ex english_ex  science_ex) // mean of the mandatory scores, Danish scores are counted together and Math scores are counted together
egen exam_danmat = rowmean(danish_WP_ex danish_WS_ex math_W_ex)  // mean of written exam scores in mathematics and danish
egen exam_danmat_help = rowmean(danish_WP_ex danish_WS_ex math_A_ex math_PS_ex) if grad_year >= 2007
replace exam_danmat = exam_danmat_help if grad_year >= 2007
*grades for the year's work
egen teacheval_mean7 = rowmean(danish_O_co danish_WP_co danish_WS_co  math_W_co math_O_co science_co english_co) // We have one extra teacher evaluated grade, because there is no oral exam in math.
egen teacheval_mean7_help = rowmean(danish_O_co danish_WP_co danish_WS_co  math_PS_co math_A_co math_O_co science_co english_co) if grad_year >=2007
replace teacheval_mean7 = teacheval_mean7_help if grad_year >=2007
egen teacheval_mean4 = rowmean(danish_OW_co math_co science_co english_co) // 
*** non-missing grades
egen nonmiss_teacheval7 = rownonmiss(danish_O_co danish_WP_co danish_WS_co  math_W_co math_O_co science_co english_co)
egen nonmiss_teacheval7_help = rownonmiss(danish_O_co danish_WP_co danish_WS_co  math_PS_co math_A_co math_O_co science_co english_co)  if grad_year >= 2007
replace nonmiss_teacheval7 = nonmiss_teacheval7_help if grad_year >= 2007
egen nonmiss_teacheval4 = rownonmiss(danish_OW_co math_co science_co english_co)
drop exam_danmat_help teacheval_mean7_help nonmiss_teacheval7_help
egen nonmiss_grade_ex7 = rownonmiss(danish_O_ex danish_WP_ex danish_WS_ex math_W_ex english_ex  science_ex )
egen nonmiss_grade_ex_help = rownonmiss(danish_O_ex danish_WP_ex danish_WS_ex math_A_ex math_PS_ex english_ex science_ex) if grad_year >= 2007
replace  nonmiss_grade_ex7 =  nonmiss_grade_ex_help if grad_year >= 2007
drop nonmiss_grade_ex_help  // because there is one more score for written math after 2007 than before 2007 about half of the records (those before 2007) have one more missing value than the other records
egen nonmiss_grade_ex4 = rownonmiss(danish_OW_ex math_ex english_ex  science_ex)
*nonmissing grades for Danish and Math
egen nonmiss_danish = rownonmiss(danish_O_ex danish_WS_ex danish_WP_ex)
egen nonmiss_danish_W = rownonmiss(danish_WS_ex danish_WP_ex) //Danish written
egen nonmiss_math = rownonmiss(math_W_ex) 
egen nonmiss_math_help = rownonmiss(math_A_ex math_PS_ex) if grad_year >= 2007 
replace nonmiss_math = nonmiss_math_help if grad_year >= 2007 
drop nonmiss_math_help
***dummy for number of grades 
gen min_grades7 = nonmiss_grade_ex7 >= 5  // 1 if the person has 5 or more exam grades and 0 if the person has 4 or less grades 
gen min_grades4 = nonmiss_grade_ex4 >= 2  // 1 if the person has 2 or more exam grades and 0 if the person got 1 or less grades 

*** means of the non-standardized grades 
*exam grades 
egen exam_mean7_13 = rowmean(danish_O_ex13 danish_WP_ex13 danish_WS_ex13 english_ex13  science_ex13 math_W_ex13)  // mean of the mandatory scores, each score counted separately
egen exam_mean7_help13 = rowmean(danish_O_ex13 danish_WP_ex13 danish_WS_ex13 english_ex13  science_ex13 math_A_ex13 math_PS_ex13) if grad_year >= 2007
replace exam_mean7_13  = exam_mean7_help13 if grad_year >= 2007
drop exam_mean7_help13
egen exam_mean4_13 = rowmean(danish_OW_ex13 math_ex13 english_ex13  science_ex13) // mean of the mandatory scores, Danish scores are counted together and Math scores are counted together
egen exam_danmat13 = rowmean(danish_WP_ex13 danish_WS_ex13 math_W_ex13)  // mean of written exam scores in mathematics and danish
egen exam_danmat_help13 = rowmean(danish_WP_ex13 danish_WS_ex13 math_A_ex13 math_PS_ex13) if grad_year >= 2007
replace exam_danmat13 = exam_danmat_help13 if grad_year >= 2007
*grades for the year's work
egen teacheval_mean7_13 = rowmean(danish_O_co13 danish_WP_co13 danish_WS_co13  math_W_co13 math_O_co13 science_co13 english_co13) // We have one more teacher evaluated grade, because students don't take an oral exam in math.
egen teacheval_mean7_help13 = rowmean(danish_O_co13 danish_WP_co13 danish_WS_co13  math_PS_co13 math_A_co13 math_O_co13 science_co13 english_co13) if grad_year >=2007
replace teacheval_mean7_13 = teacheval_mean7_help13 if grad_year >=2007
egen teacheval_mean4_13 = rowmean(danish_OW_co13 math_co13 science_co13 english_co13) // 
*** nonmissing grades
egen nonmiss_teacheval7_13 = rownonmiss(danish_O_co13 danish_WP_co13 danish_WS_co13  math_W_co13 math_O_co13 science_co13 english_co13)
egen nonmiss_teacheval7_help13 = rownonmiss(danish_O_co13 danish_WP_co13 danish_WS_co13  math_PS_co13 math_A_co13 math_O_co13 science_co13 english_co13)  if grad_year >= 2007
replace nonmiss_teacheval7_13 = nonmiss_teacheval7_help13 if grad_year >= 2007
egen nonmiss_teacheval4_13 = rownonmiss(danish_OW_co13 math_co13 science_co13 english_co13)
drop exam_danmat_help13 teacheval_mean7_help13 nonmiss_teacheval7_help13
egen nonmiss_grade_ex7_13 = rownonmiss(danish_O_ex13 danish_WP_ex13 danish_WS_ex13 math_W_ex13 english_ex13  science_ex13 )
egen nonmiss_grade_ex_help13 = rownonmiss(danish_O_ex13 danish_WP_ex13 danish_WS_ex13 math_A_ex13 math_PS_ex13 english_ex13 science_ex13) if grad_year >= 2007
replace  nonmiss_grade_ex7_13 =  nonmiss_grade_ex_help13 if grad_year >= 2007
drop nonmiss_grade_ex_help13  // because there is one more score for written math after 2007 than before 2007 about half of the records (those before 2007) have one more missing value than the other records
egen nonmiss_grade_ex4_13 = rownonmiss(danish_OW_ex13 math_ex13 english_ex13  science_ex13)
*nonmissing grades for Danish and Math
egen nonmiss_danish13 = rownonmiss(danish_O_ex13 danish_WS_ex13 danish_WP_ex13)
egen nonmiss_danish_W13 = rownonmiss(danish_WS_ex13 danish_WP_ex13) //Danish written
egen nonmiss_math13 = rownonmiss(math_W_ex13) 
egen nonmiss_math_help13 = rownonmiss(math_A_ex13 math_PS_ex13) if grad_year >= 2007 
replace nonmiss_math13 = nonmiss_math_help13 if grad_year >= 2007 
drop nonmiss_math_help13
***dummy for number of grades 
gen min_grades7_13 = nonmiss_grade_ex7_13 >= 5  // 1 if the person has 5 or more exam grades and 0 if the person has 4 or less grades 
gen min_grades4_13 = nonmiss_grade_ex4_13 >= 2  // 1 if the person has 2 or more exam grades and 0 if the person has 1 or less grades 

***labels
la var pnr "person id"
la var grad_year "year of graduation"

la var exam_mean7 "mean of all standardized exam grades, 6 scores" // Mean of non-missing marks in Danish (separately), math (separately), science and English
la var exam_mean4 "mean of all standardized exam grades, 4 scores" // Mean of non-missing marks in Danish (mean), math (mean), science and English
la var teacheval_mean7 "Teacher evaluated grade of all classes, 8 scores" // Mean of non-mising teacher evaluated marks in Danish, Math, Science and English (separately)
la var teacheval_mean4 "Teacher evaluated grade of all classes, 4 scores" // Mean of non-missing teacher evaluated marks in Danish (mean), math (mean), Science and English
la var exam_danmat "Mean of standardized exam grades in written Danish and Math" // Mean of non-missing marks in written Danish and math
la var danish_OW_ex "standardized mark: Danish exam, both written and oral"
la var danish_O_ex "standardized mark: Danish oral exam"
la var danish_WP_ex "standardized mark: Danish written presentation, exam"
la var danish_WS_ex "standardized mark: Danish written spelling, exam"
la var danish_W_ex "standardized mark: Danish written (both presentation & spelling), exam"
la var math_ex "standardized mark: math exam"
la var math_W_ex "standardized mark: math written (Before 2007)"
la var math_A_ex "standardized mark: math written arithmetic (2007 and after)"
la var math_PS_ex "standardized mark: math written problem solving (2007 and after)"
la var science_ex "standardized mark: Science exam"
la var english_ex "standardized mark: english exam"
la var nonmiss_math "nonmissing values in math marks"
la var nonmiss_danish "nonmissing values in Danish marks"
la var nonmiss_danish_W "nonmissing values in written Danish"
la var nonmiss_grade_ex7 "No. of non-missing exam grades"					 // // The No. of marks used to calculate the mean, according to the variable exam_mean7
la var min_grades7 "5 or more exam grades, out of the 6 compulsory"                                    // Might be used as indicator for whether the exam has been taken in a 'normal' way
la var nonmiss_grade_ex4 "No. of non-missing exam grades"					 // // The No. of marks used to calculate the mean, according to the variable exam_mean4
la var min_grades4 "2 or more exam grades, out of math, danish, science and english"                                   // Might be used as indicator for whether the exam has been taken in a 'normal' way
la var nonmiss_teacheval7 "No. of non-missing teacher evaluated grades, 8 scores"
la var nonmiss_teacheval4 "No. of non-missing teacher evaluated grades, 4 scores"
la var danish_OW_co "standardized teacher evaluated mark: Danish, both written and oral"
la var danish_O_co "standardized teacher evaluated mark: Danish oral"
la var danish_WP_co "standardized teacher evaluated mark: Danish written presentation"
la var danish_WS_co "standardized teacher evaluated mark: Danish written spelling"
la var danish_W_co "standardized teacher evaluated mark: Danish written (both presentation & spelling)"
la var math_co "standardized teacher evaluated mark: math "
la var math_W_co "standardized teacher evaluated mark: math written (Before 2007)"
la var math_A_co "standardized teacher evaluated mark: math written arithmetic (2007 and after)"
la var math_O_co "Standardized teacher evaluated mark: math oral"
la var math_PS_co "standardized teacher evaluated mark: math written problem solving (2007 and after)"
la var science_co "standardized teacher evaluated mark: Science"
la var english_co "standardized teacher evaluated mark: english"
la var obl_proj "Standardized mark: Obligatory project"

la var exam_mean7_13 "Mean of 6 test scores" // Mean of non-missing marks in Danish (separately), math (separately), science and English
la var exam_mean4_13 "Mean of 4 test scores" // Mean of non-missing marks in Danish (mean), math (mean), science and English
la var teacheval_mean7_13 "Mean of 8 teacher evaluated scores" // Mean of non-mising teacher evaluated marks in Danish, Math, Science and English (separately)
la var teacheval_mean4_13 "Mean of 4 teacher evaluated scores" // Mean of non-missing teacher evaluated marks in Danish (mean), math (mean), Science and English
la var exam_danmat13 "Mean of test scores in written Danish and Math" // Mean of non-missing marks in written Danish and math
la var danish_OW_ex13 "Mean test score in Danish (written and oral)"
la var danish_O_ex13 "Test score in Danish oral"
la var danish_WP_ex13 "Test score in Danish essay"
la var danish_WS_ex13 "Test score in Danish spelling"
la var danish_W_ex13 "Mean test score in Danish essay and spelling"
la var math_ex13 "Test score in math"
la var math_W_ex13 "mark: math written (Before 2007)"
la var math_A_ex13 "mark: math written arithmetic (2007 and after)"
la var math_PS_ex13 "mark: math written problem solving (2007 and after)"
la var science_ex13 "Test score in science"
la var english_ex13 "Test score in English"
la var nonmiss_math13 "nonmissing values in math marks"
la var nonmiss_danish13 "nonmissing values in Danish marks"
la var nonmiss_danish_W13 "nonmissing values in written Danish"
la var nonmiss_grade_ex7_13 "No. of non-missing exam grades"					 
la var min_grades7_13 "5 or more exam grades, out of the 6 compulsory"           
la var nonmiss_grade_ex4_13 "No. of non-missing exam grades"					 
la var min_grades4_13 "2 or more exam grades, out of math, danish, science and english" 
la var nonmiss_teacheval7_13 "No. of non-missing teacher evaluated grades, 8 scores"
la var nonmiss_teacheval4_13 "No. of non-missing teacher evaluated grades, 4 scores"
la var danish_OW_co13 "teacher evaluated mark: Danish, both written and oral"
la var danish_O_co13 "teacher evaluated mark: Danish oral"
la var danish_WP_co13 "teacher evaluated mark: Danish written presentation"
la var danish_WS_co13 "teacher evaluated mark: Danish written spelling"
la var danish_W_co13 "teacher evaluated mark: Danish written (both presentation & spelling)"
la var math_co13 "teacher evaluated mark: math "
la var math_W_co13 "teacher evaluated mark: math written (Before 2007)"
la var math_A_co13 "teacher evaluated mark: math written arithmetic (2007 and after)"
la var math_O_co13 "teacher evaluated mark: math oral"
la var math_PS_co13 "teacher evaluated mark: math written problem solving (2007 and after)"
la var science_co13 "teacher evaluated mark: Science"
la var english_co13 "teacher evaluated mark: english"
la var obl_proj13 "Test score in project report"

keep pnr grad_year exam_mean7 exam_mean4 danish_O_ex danish_W_ex danish_WP_ex danish_WS_ex  danish_OW_ex english_ex math_ex ///
  math_PS_ex math_A_ex math_W_ex science_ex  nonmiss_grade_ex7 nonmiss_math nonmiss_danish min_grades7 min_grades4 nonmiss_grade_ex4 ///
  danish_OW_co danish_O_co danish_WP_co danish_WS_co danish_W_co math_co math_W_co math_A_co math_O_co math_PS_co ///
  science_co english_co obl_proj nonmiss_teacheval4 nonmiss_teacheval7 teacheval_mean7 teacheval_mean4 exam_danmat ///
  exam_mean7_13 exam_mean4_13 danish_O_ex13 danish_W_ex13 danish_WP_ex13 danish_WS_ex13  danish_OW_ex13 english_ex13 math_ex13 ///
  math_PS_ex13 math_A_ex13 math_W_ex13 science_ex13  nonmiss_grade_ex7_13 nonmiss_math13 nonmiss_danish13 min_grades7_13 min_grades4_13 nonmiss_grade_ex4_13 ///
  danish_OW_co13 danish_O_co13 danish_WP_co13 danish_WS_co13 danish_W_co13 math_co13 math_W_co13 math_A_co13 math_O_co13 math_PS_co13 ///
  science_co13 english_co13 obl_proj13 nonmiss_teacheval4_13 nonmiss_teacheval7_13 teacheval_mean7_13 teacheval_mean4_13 exam_danmat13

save temp, replace
  
forval t=2002/2014{
use temp, clear
keep if grad_year==`t'
merge 1:1 pnr using "$rawdata\bef`t'.dta", keep(master match) keepusing(alder)
rename alder grad_age
append using empty
save empty, replace
}
label var grad_age "Age in the start of the year the child completes 9th class"

drop _merge
rename pnr pnrb
gen are_in_udfk = 1
la var are_in_udfk "The child is in udfk2015"

save grades, replace 
sum
//deleting files
erase empty.dta
erase tempy.dta
erase tempx.dta
erase temp.dta
erase temp/tempfil.dta
