// Indicators of parental crime during the individual's childhood (child aged 0-13)

include "D:\data\Workdata\703822\Do_3822\p1602\Fra_RFF\Voc_vs_General_JHR\A0_paths.do"
clear
set more off
cd "$data"

save temp_mx, replace emptyok
save temp_fx, replace emptyok

use data, clear
rename pnrb pnr
drop if pnr == .
keep pnr pnrm pnrf fodtdato byear
save crime_x, replace 

// Mother
use crime_x, clear
rename pnr pnrb
rename pnrm pnr
drop if pnr==.
save crimem_x, replace
*** loop using kraf-data to identify mother's sentences
forval t=1986/2003{
use "$rawdata\kraf`t'.dta", clear
di `t'
gen year = `t'
rename afg_ger7 afger7
rename afg_afgtypko afgtypko620
rename afg_afgoedto afgodto

*merging birthyear and crime data 
joinby pnr using crimem_x
keep if byear+14>=`t' & byear<=`t' //keep if child age is 0-13 years (beginning of year) 

*deleting traffic offenses
drop if inrange(afger7,2110005,2610180)

*marking people with a mental illness
gen mental_temp = 0
replace mental_temp = 1 if afgtypko620 == 3 
sort pnr journr
by pnr: gen mentalm = sum(mental_temp)	
by pnr: replace mentalm = mentalm[_N]
by pnr: replace mentalm = (mentalm > 0) 

*generating a dummy for having a sentence
gen crime_temp = 1 
replace crime_temp = 0 if inlist(afgtypko620, 11,29,49,69,87) // 0 if no conviction or unknown sentence 
sort pnr journr
by pnr: gen crimem = sum(crime_temp)	
by pnr: replace crimem = crimem[_N]
by pnr: replace crimem = (crimem > 0) 

*generating a dummy for having an unconditional sentence
gen unconditional_temp = inlist(afgtypko620, 1, 84, 86)
sort pnr journr
by pnr: gen unconditionalm = sum(unconditional_temp)	
by pnr: replace unconditionalm = unconditionalm[_N]
by pnr: replace unconditionalm = (unconditionalm > 0) 

*generating a dummy for detention
gen detention_temp = 0 
replace detention_temp = 1 if inlist(afgtypko620, 1, 4, 5, 6, 81, 82, 83, 84, 86)
sort pnr journr
by pnr: gen detentionm = sum(detention_temp)	
by pnr: replace detentionm = detentionm[_N]
by pnr: replace detentionm = (detentionm > 0) 

*generating a dummy for having a violence sentence
gen violence_temp = 0
replace violence_temp = 1 if inrange(afger7, 110505,1160530) | inrange(afger7, 1210501,1286515) | inrange(afger7, 1286525,1286540) | inrange(afger7, 1289505,1292520) ///
	| inrange(afger7,1398510,1398515) | afger7 == 1410309 | afger7 == 1410357 | afger7 == 1410363 | inrange(afger7, 1410367,1410368) ///
	| inrange(afger7,1410370,1410371) | afger7 == 1410378 | afger7 == 1410716 | inrange(afger7, 1445705,1415720) | afger7 == 1445780 ///
	| inrange(afger7,1460305,1460705) | afger7 == 1485320 | afger7 == 3810210
sort pnr journr
by pnr: gen violencem = sum(violence_temp)	
by pnr: replace violencem = violencem[_N]
by pnr: replace violencem = (violencem > 0) 

*generating a dummy for having a violence sentence and been found guilty
replace violence_temp= 0 if crime_temp==0 
sort pnr journr
by pnr: gen violencem2 = sum(violence_temp)	
by pnr: replace violencem2 = violencem2[_N]
by pnr: replace violencem2 = (violencem2 > 0) 
by pnr: keep if _n==_N
keep  pnr pnrf pnrb year byear fodtdato mentalm violencem violencem2 unconditionalm detentionm crimem 

append using temp_mx
save temp_mx, replace  			
}

// Father
use crime_x, clear
rename pnr pnrb
rename pnrf pnr
drop if pnr==.
save crimef_x, replace
*** loop using kraf-data to identify father's sentences
forval t=1986/2003{
use "$rawdata\kraf`t'.dta", clear
gen year = `t'
rename afg_ger7 afger7
rename afg_afgtypko afgtypko620
rename afg_afgoedto afgodto

*merging birthyear and crime data 
joinby pnr using crimef_x
keep if byear+14>=`t' & byear<=`t'

*deleting traffic offenses
drop if inrange(afger7,2110005,2610180)

*marking people with a mental illness
gen mental_temp = 0
replace mental_temp = 1 if afgtypko620 == 3 
sort pnr journr
by pnr: gen mentalf = sum(mental_temp)	
by pnr: replace mentalf = mentalf[_N]
by pnr: replace mentalf = (mentalf > 0) 

*generating a dummy for having a sentence
gen crime_temp = 1 
replace crime_temp = 0 if inlist(afgtypko620, 11,29,49,69,87) //0 if no conviction or unknown sentence 
sort pnr journr
by pnr: gen crimef = sum(crime_temp)	
by pnr: replace crimef = crimef[_N]
by pnr: replace crimef = (crimef > 0) 

*generating a dummy for having an unconditional sentence
gen unconditional_temp = inlist(afgtypko620, 1, 84, 86)
sort pnr journr
by pnr: gen unconditionalf = sum(unconditional_temp)	
by pnr: replace unconditionalf = unconditionalf[_N]
by pnr: replace unconditionalf = (unconditionalf > 0) 

*generating a dummy for detention
gen detention_temp = 0 
replace detention_temp = 1 if inlist(afgtypko620, 1, 4, 5, 6, 81, 82, 83, 84, 86)
sort pnr journr
by pnr: gen detentionf = sum(detention_temp)	
by pnr: replace detentionf = detentionf[_N]
by pnr: replace detentionf = (detentionf > 0) 

*generating a dummy for having a violence sentence
gen violence_temp = 0
replace violence_temp = 1 if inrange(afger7, 110505,1160530) | inrange(afger7, 1210501,1286515) | inrange(afger7, 1286525,1286540) | inrange(afger7, 1289505,1292520) ///
	| inrange(afger7,1398510,1398515) | afger7 == 1410309 | afger7 == 1410357 | afger7 == 1410363 | inrange(afger7, 1410367,1410368) ///
	| inrange(afger7,1410370,1410371) | afger7 == 1410378 | afger7 == 1410716 | inrange(afger7, 1445705,1415720) | afger7 == 1445780 ///
	| inrange(afger7,1460305,1460705) | afger7 == 1485320 | afger7 == 3810210
sort pnr journr
by pnr: gen violencef = sum(violence_temp)	
by pnr: replace violencef = violencef[_N]
by pnr: replace violencef = (violencef > 0) 

*generating a dummy for having a violence sentence and been found guilty
replace violence_temp= 0 if crime_temp==0 
sort pnr journr
by pnr: gen violencef2 = sum(violence_temp)	
by pnr: replace violencef2 = violencef2[_N]
by pnr: replace violencef2 = (violencef2 > 0) 

by pnr: keep if _n==_N
keep  pnr pnrb pnrm year byear fodtdato mentalf violencef violencef2 unconditionalf detentionf crimef 

append using temp_fx
save temp_fx, replace  			
}

use temp_mx, clear
rename pnr pnrm
rename pnrf pnr
merge 1:1 pnr pnrb pnrm year using temp_fx, nogen
rename pnr pnrf

foreach x in crimem unconditionalm detentionm violencem violencem2 mentalm  crimef unconditionalf detentionf violencef violencef2 mentalf{
rename `x' `x'_2
replace `x'_2=0 if `x'_2==.
bysort pnrb: egen `x' = max(`x'_2)
drop `x'_2
}

keep pnrb pnrf pnrm byear crimem unconditionalm detentionm violencem violencem2 mentalm  crimef unconditionalf detentionf violencef violencef2 mentalf
duplicates drop

*label lists

label var crimem "Mother conviction: Child age 0-13"
label var unconditionalm "Mother imprisonment: Child age 0-13"
label var detentionm "Mother imprisonment/probation: Child age 0-13"
label var violencem "Mother violence (charge): Child age 0-13"
label var violencem2 "Mother violence (conviction): Child age 0-13"
label var mentalm "Mother mentally ill criminal: Child age 0-13"

label var crimef "Father conviction: Child age 0-13"
label var unconditionalf "Father imprisonment: Child age 0-13"
label var detentionf "Father imprisonment/probation: Child age 0-13"
label var violencef "Father violence (charge): Child age 0-13"
label var violencef2 "Father violence (conviction): Child age 0-13"
label var mentalf "Father mentally ill criminal: Child age 0-13"

save crime , replace

//deleting files
erase temp_mx.dta
erase temp_fx.dta
erase crime_x.dta
erase crimem_x.dta
erase crimef_x.dta
