//                 We find the address of the individual: (1) the first of January in the year leaving compulsory school; 
//                                                        (2) the first of January in the year of first enrollment in an upper secondary education program.
//                 Version (1) is used in the final analysis 
include "D:\data\Workdata\703822\Do_3822\p1602\Fra_RFF\Voc_vs_General_JHR\A0_paths.do"

use "$rawdata\kotre2015.dta", clear
sort pnr elev3_vtil
order pnr elev* udd_kode hf_kode
gen year = year(elev3_vtil) if udd_kode == 10
bysort pnr udd_kode: egen gradyear = max(year) if udd_kode == 10
la var gradyear "Year leaving compulsory schooling"
keep pnr gradyear
keep if inrange(gradyear,2000,2010)    
by pnr: keep if _n == 1
gen timesincegrad = 2010-gradyear if gradyear != .
save "$data\datatilflytning2", replace

forval year = 2000/2014 {
use "$data\datatilflytning2", clear
gen year = `year'
merge 1:1 pnr using "$adj_raw\fain`year'", keep(match) nogen keepusing(pnrm pnrf alder kom bopikom opgikom)
merge 1:1 pnr using "$rawdata_udda\udda`year'", keep(match) nogen keepusing(udd_kode)
rename kom komb
rename bopikom bopikomb
rename opgikom opgikomb
rename pnr pnrb
rename pnrm pnr
merge m:1 pnr using "$adj_raw\fain`year'", keep(master match) nogen keepusing(kom bopikom opgikom)
rename kom komm
rename bopikom bopikomm
rename opgikom opgikomm
rename pnr pnrm
rename pnrf pnr
merge m:1 pnr using "$adj_raw\fain`year'", keep(master match) nogen keepusing(kom bopikom opgikom)
rename kom komf
rename bopikom bopikomf
rename opgikom opgikomf
rename pnr pnrf
rename pnrb pnr
save "$data\temp\firstuddaflytning`year'2", replace
}

use "$data\temp\firstuddaflytning20002", clear
forval year = 2001/2014 {
append using "$data\temp\firstuddaflytning`year'2"
erase "$data\temp\firstuddaflytning`year'2.dta"
}
save "$data\temp\firstuddaflytningall2", replace

use "$data\temp\firstuddaflytningall2", clear
gen gradage = gradyear - year + alder if gradyear != .
gen ungudda = inrange(udd_kode,20,35)
bysort pnr ungudda (year): gen firstuddayear_temp = year if _n==1 & ungudda == 1
gen firstudda_temp = udd_kode if firstuddayear_temp != .
gen firstuddaage_temp = alder if firstuddayear_temp != .
bysort pnr: egen firstuddayear = sum(firstuddayear_temp)
bysort pnr: egen firstudda = sum(firstudda_temp)
bysort pnr: egen firstuddaage = sum(firstuddaage_temp)
drop firstuddayear_temp firstudda_temp firstuddaage_temp
replace firstuddayear = . if firstuddayear == 0
replace firstudda = . if firstudda == 0
replace firstuddaage = . if firstuddaage == 0
la var firstuddayear "The year after start of first upper secondary edu."  // NB: The year AFTER start since UDDA(t) is education status October year t-1 for population at beginning of year t

gen borsammen = [komb == komm & bopikomb == bopikomm] | [komb == komf & bopikomb == bopikomf]
gen aarsidengrad = year - gradyear if gradyear != .
gen aarsidenung = year - firstuddayear if firstuddayear!= .

gen borstatus = 1 if [komb == komm & bopikomb == bopikomm] & [komb == komf & bopikomb == bopikomf]
replace borstatus = 2 if [komb == komm & bopikomb == bopikomm] & [komb != komf | bopikomb != bopikomf]
replace borstatus = 3 if [komb != komm | bopikomb != bopikomm] & [komb == komf & bopikomb == bopikomf]
replace borstatus = 4 if [komb != komm | bopikomb != bopikomm] & [komb != komf | bopikomb != bopikomf]

bysort pnr (year): gen sammeadr = komb==komb[_n-1] & bopikomb==bopikomb[_n-1]                                        // same address as previous year
bysort pnr (year): gen skiftparrent = [borstatus[_n-1] == 2 & borstatus==3] | [borstatus[_n-1] == 3 & borstatus==2]
bysort pnr (year): gen hjemmefra = inrange(borstatus[_n-1],1,3) & borstatus == 4                                     // Moved away from home from 1 Jan previous year to 1 Jan current year
bysort pnr (year): gen hjemigen = inrange(borstatus,1,3) & borstatus[_n-1] == 4 

//adresse1 is the child's address 1 January in the year of the 9th grade exam
gen adresse1kom_temp = komb if gradyear == year
gen adresse1bopikom_temp = bopikomb if gradyear == year
gen adresse1opgikom_temp = opgikomb if gradyear == year
bysort pnr: egen adresse1kom = sum(adresse1kom_temp)
bysort pnr (adresse1bopikom_temp): gen adresse1bopikom = adresse1bopikom_temp[_N]
bysort pnr (adresse1opgikom_temp): gen adresse1opgikom = adresse1opgikom_temp[_N]
replace adresse1kom = . if adresse1kom == 0

gen borsammen1_temp=borsammen if gradyear==year
bysort pnr: egen borsammen1=sum(borsammen1_temp)
gen adresse1komm_temp = komm if gradyear == year
gen adresse1bopikomm_temp = bopikomm if gradyear == year
gen adresse1opgikomm_temp = opgikomm if gradyear == year
bysort pnr: egen adresse1kom_mor = sum(adresse1komm_temp)
bysort pnr (adresse1bopikomm_temp): gen adresse1bopikom_mor = adresse1bopikomm_temp[_N]
bysort pnr (adresse1opgikomm_temp): gen adresse1opgikom_mor = adresse1opgikomm_temp[_N]
replace adresse1kom_mor = . if adresse1kom_mor == 0


//adresse2 is the child's address 1 January in the first year of enrollment in an upper secondary education, if the child is still living with their parents. If not, the address of the parents is used.
gen adresse2kom_temp = komb if firstuddayear == year+1 & hjemmefra == 0
bysort pnr (year): gen adresse2kom_temp2 = komb[_n-1] if firstuddayear == year+1 & hjemmefra == 1
bysort pnr: egen adresse2kom = sum(adresse2kom_temp)
bysort pnr: egen adresse2kom2 = sum(adresse2kom_temp2)
replace adresse2kom = adresse2kom2 if adresse2kom == . | adresse2kom == 0
replace adresse2kom = . if adresse2kom == 0

gen adresse2bopikom_temp = bopikomb if firstuddayear == year+1 & hjemmefra == 0
bysort pnr (year): gen adresse2bopikom_temp2 = bopikomb[_n-1] if firstuddayear == year+1 & hjemmefra == 1
bysort pnr (adresse2bopikom_temp): gen adresse2bopikom = adresse2bopikom_temp[_N]
bysort pnr (adresse2bopikom_temp2): gen adresse2bopikom2 = adresse2bopikom_temp2[_N]
replace adresse2bopikom = adresse2bopikom2 if adresse2bopikom == ""

gen adresse2opgikom_temp = opgikomb if firstuddayear == year+1 & hjemmefra == 0
bysort pnr (year): gen adresse2opgikom_temp2 = opgikomb[_n-1] if firstuddayear == year+1 & hjemmefra == 1
bysort pnr (adresse2opgikom_temp): gen adresse2opgikom = adresse2opgikom_temp[_N]
bysort pnr (adresse2opgikom_temp2): gen adresse2opgikom2 = adresse2opgikom_temp2[_N]
replace adresse2opgikom = adresse2opgikom2 if adresse2opgikom == ""

gen     firstuddayear_adr2=firstuddayear
replace firstuddayear_adr2=firstuddayear-1 if adresse2kom==adresse2kom2 & adresse2bopikom==adresse2bopikom2 & adresse2opgikom==adresse2opgikom2
replace firstuddayear_adr2=gradyear+1 if gradyear == firstuddayear-1 | (adresse2kom==. & adresse2bopikom=="" & adresse2opgikom=="")     // see the lines below
la var  firstuddayear_adr2 "year variable for merging living address type 2 with distance to edu. institutions (important because of change of municipality codes by 1 Jan. 2007)"

//adresse2 = adresse1 if the person enrolls in an upper secondary program in the same year of leaving lower secondary school.
replace adresse2kom = adresse1kom if gradyear == firstuddayear - 1
replace adresse2bopikom = adresse1bopikom if gradyear == firstuddayear - 1
replace adresse2opgikom = adresse1opgikom if gradyear == firstuddayear - 1
sort pnr year
gen harudda = firstuddayear != .
la var harudda "Did enroll in upper secondary edu. pgm." 

rename pnr pnrb

gen adr1mis=adresse1kom==.
gen adr1mis_adr2nonmis = adresse1kom==. & adresse2kom!=.

replace adresse1kom = adresse2kom if adresse1kom == . 
replace adresse1bopikom = adresse2bopikom if adresse1bopikom == "" 
replace adresse1opgikom = adresse2opgikom if adresse1opgikom == "" 

replace adresse2kom = adresse1kom if adresse2kom == . 
replace adresse2bopikom = adresse1bopikom if adresse2bopikom == ""  
replace adresse2opgikom = adresse1opgikom if adresse2opgikom == ""  

save "$data\firstuddaadresse_big", replace

keep pnrb gradyear gradage firstuddayear firstuddayear_adr2 firstuddaage adresse1kom adresse1bopikom adresse1opgikom adresse2kom adresse2bopikom adresse2opgikom harudda firstudda  ///
     borsammen1 adresse1kom_mor adresse1bopikom_mor adresse1opgikom_mor adr1mis adr1mis_adr2nonmis
duplicates drop
sort pnrb

save "$data\firstuddaadresse", replace

//deleting files
erase "$data\firstuddaadresse_big.dta"
erase "$data\datatilflytning2.dta"

tab firstuddayear firstuddayear_adr2, mis
sum adresse2kom if firstuddayear<firstuddayear_adr2
tab gradyear firstuddayear, mis
tab gradyear, mis
sum borsammen1 if adresse1kom!=.
sum adr1mis adr1mis_adr2nonmis
sum adr1mis adr1mis_adr2nonmis if gradyear!=.
