*** This programme prepares for bootstrap estimation by constructing basic datasets used in bootstreap procedure for earnings at age 40
*** NB: It presumes that old cohorts 1974-77 are used, and that treatment is completion of vocational education (erhvcomp)
*** It has to be modified if treatment is start of vocational education or if more older cohorts are used. 


include "D:\data\Workdata\703822\Do_3822\p1602\Fra_RFF\Voc_vs_General_JHR\A0_paths.do"
include "$dofiles\A16_globals.do"

set more off 
cd "$data"
set matsize 2000
clear

**************************************************************************************
						 
use "$data/prep2", clear  

drop earn40* earn28p*

save main, replace

keep pnr
merge 1:1 pnr using tempmain, keep(match)  // tempmain is created in the do file A12_predicted_income; 
keep if complete==1                        // tempmain for the main sample of cohorts 1986-89 contains the same variables (with the same names) as the variables for the older cohorts
count if male==1
count if male==0
save tempmain2, replace


**********************
// appended sample of old and main for stratified bootstrapping
**********************
use tempold, clear     					// tempold is created in the do file A12_predicted_income       
keep if 1974<=byear&byear<=1977
gen old=1
append using tempmain2
gen strat=.
replace strat=1 if old==1
replace strat=2 if old==. & male==1
replace strat=3 if old==. & male==0
tab strat, mis
save tempboot_7477_complete, replace   // older cohorts have byear 1974-77,  and younger cohorts are restricted to those who complete an upper secondary education


