*** This programme prepares for bootstrap estimation by constructing basic datasets used in bootstrap procedure for earnings at age 28 for specification checks
*** It presumes that old cohorts 1974-77 are used, and that treatment is completion of vocational education (erhvcomp)

include "D:\data\Workdata\703822\Do_3822\p1602\Fra_RFF\Voc_vs_General_JHR\A0_paths.do"
include "$dofiles\A16_globals.do"

set more off 
cd "$data"
set matsize 2000
clear

**************************************************************************************
						 
use "$data/prep2", clear

keep if earn28p27_7477!=.   // keep only observations for which we have data for the outcome  
drop earn40* earn28p*

save main_earn28p27, replace

keep pnr
merge 1:1 pnr using tempmain, keep(match)  // tempmain is created in the do file A12_predicted_income; tempmain contains the same variables (with the same names) as the variables for the older cohorts
keep if complete==1
count if male==1
count if male==0
save tempmain2, replace


**********************
// appended sample of old and main for stratified bootstrapping
**********************
use tempold, clear            
keep if 1974<=byear&byear<=1977
gen old=1
append using tempmain2
gen strat=.
replace strat=1 if old==1
replace strat=2 if old==. & male==1
replace strat=3 if old==. & male==0
tab strat, mis
save tempboot_earn28p27_7477_complete, replace   // older cohorts have byear 1974-77,  and younger cohorts are restricted to those who complete an upper secondary education
