*** This programme prepares for bootstrap estimation related to specification checks for predicted earnings at age 28 using the main sample as basis for predicted earnings
*** It presumes that main sample of cohorts 1986-89 are used, and that treatment is completion of vocational education (erhvcomp)

include "D:\data\Workdata\703822\Do_3822\p1602\Fra_RFF\Voc_vs_General_JHR\A0_paths.do"
include "$dofiles\A16_globals.do"

set more off 
cd "$data"
set matsize 2000
clear
**************************************************************************************
						 
use "$data/prep2", clear  
keep if earn28p27!=.        // keep only observations for which the outcome is observed
keep pnr sample lincm lincf // sample=1 for all observations in prep2

merge 1:1 pnr using tempmain  // tempmain is created in the do file A12_predicted_income
drop _merge
sum sample complete start
tab sample, mis
tab sample complete, mis

gen strat=.
replace strat=1 if sample==. | complete!=1
replace strat=2 if sample==1 & complete==1 & male==1
replace strat=3 if sample==1 & complete==1 & male==0
tab strat, mis
save tempboot_main_complete, replace // The full dataset is used for predicting earnings at age 28. The stratification (using strat) ensures that sample size of male and female completers are constant across replications


