*** This programme constructs Table C6 in the Online Appendix: specification checks using predicted earnings at age 28

include "D:\data\Workdata\703822\Do_3822\p1602\Fra_RFF\Voc_vs_General_JHR\A0_paths.do"
include "$dofiles\A16_globals.do"

set more off 
cd "$data"
set matsize 2000
clear

//Bootstrapped SEs	   
eststo clear
estimates use "$output\boot_tinderh28_male1_complete_reps500_seed211103_date211203_p01.ster"   // created in B2_bootstrap_earn28_prte_p01
eststo est1
estimates use "$output\mtefe_tinderh28_KOMNY_erhvcomp_given_complete_male1_polynomial(2)_dist_voc&gen_mathcross_separate_robustNearn28p27_boot500.ster" // created in B0_estimation
eststo est1a
estimates use "$output\boot_earn28p27_7477_male1_complete_reps500_seed211103_date211206_p01.ster"  // created in B6_bootstrap_specification_earn28p27_7477_prte_p01
eststo est2
estimates use "$output\boot_earn28p27main_male1_complete_reps500_seed211103_date211206_p01.ster"  // created in B6_bootstrap_specification_earn28p27main_prte_p01
eststo est3
estimates use "$output\boot_earn28p27main_allx_male1_complete_reps500_seed211103_date211206_p01.ster"  // created in B6_bootstrap_specification_earn28p27main_allx_prte_p01
eststo est3a
estimates use "$output\boot_tinderh28_male0_complete_reps500_seed211103_date211203_p01.ster"  // created in B2_bootstrap_earn28_prte_p01
eststo est4
estimates use "$output\mtefe_tinderh28_KOMNY_erhvcomp_given_complete_male0_polynomial(2)_dist_voc&gen_mathcross_separate_robustNearn28p27_boot500.ster"  // created in B0_estimation
eststo est4a
estimates use "$output\boot_earn28p27_7477_male0_complete_reps500_seed211103_date211206_p01.ster"  // created in B6_bootstrap_specification_earn28p27_7477_prte_p01
eststo est5
estimates use "$output\boot_earn28p27main_male0_complete_reps500_seed211103_date211206_p01.ster"  // created in B6_bootstrap_specification_earn28p27main_prte_p01
eststo est6
estimates use "$output\boot_earn28p27main_allx_male0_complete_reps500_seed211103_date211206_p01.ster"  // created in B6_bootstrap_specification_earn28p27main_allx_prte_p01
eststo est6a
esttab est1 est1a est2 est3 est3a est4 est4a est5 est6 est6a using "$output\mtefe_earn28p27_7477_main_tinderh28_KOMNY_erhvcomp_given_complete_maleX_dist_voc&gen_mathcross_separate_MTEtable_extra2_boot500.rtf", replace keep(ate att atut N) /// 
       stats(N polynomial, fmt(%9.0gc %9.0gc))  b(%9.3f) se(3)  nogaps label /*varwidth(40)*/ title("Treatment effects. Preferred polynomial models. Treatment: erhvcomp given complete. Males & females.") ///
	   star(+ 0.10 * 0.05 ** 0.01 *** 0.001)  mtitle("Earnings age 28" "Earnings age 28" "Fitted 74-77 (27)" "Fitted main (27)" "Fitted main all controls (27)" "Earnings age 28" "Earnings age 28" "Fitted 74-77 (27)" "Fitted main (27)" "Fitted main all controls (27)")


