include "D:\data\Workdata\703822\Do_3822\p1602\Fra_RFF\Voc_vs_General_JHR\A0_paths.do"
include "$dofiles\A16_globals.do"

set more off 
cd "$data"
set matsize 2000
clear

// Standard 2SLS estimates for earnings at age 28 with robust standard errors
use "$data/prep2", clear  
foreach y in tinderh28 {
foreach tr in /*erhv*/ erhvcomp{
if "`tr'"=="erhv" local cond "start"
else              local cond "complete"
foreach m in 1 0{
quietly ivregress 2sls `y' (`tr' = c.afst1_30_average_w c.afst1_2025_average_w c.afst1_30_average_w#(c.math_ex13 no_exam_mat13) c.afst1_2025_average_w#(c.math_ex13 no_exam_mat13) ) $all_factor_exmale i.byear i.kom_ny  if `cond'==1 & male==`m' , robust
est save "$output\2SLS_standard_`y'_`tr'_given_`cond'_male`m'.ster", replace
}
}
}


// Table B1 of the Online Appendix: 2SLS table with robust SEs for conventional 2SLS estimates for earnings at age 28 and bootstrapped SEs for earnings at age 40, and for earnings at age 28 in case of phat-IV-estimates 
foreach m in 1 0{
eststo clear
est use "$output\boot_2SLS_earn28_tinderh28_complete_reps500_seed211103_date211203.ster"
est sto r1
est use "$output\boot_2SLS_earn40x3lag7477_complete_reps500_seed211103_date211201.ster" 
est sto r2
esttab r1 r2 using "$output\2SLS_tinderh28_earn40x3lag7477_boot500_male`m'.rtf", rename(vocm`m'ivp erhvcomp) keep(erhvcomp) replace mtitle("earn28" "earn40") b(%9.3f) se(3) stats(N , fmt(%9.0fc)) ///
	   title("Linear IV. Male `m'. Row1: phat as IV. Row2: Z as IV. Bootstrapped SEs (except earn28 with Z as IV)")compress nogaps /*label*/ varwidth(10) modelwidth(6) abbrev star(+ 0.10 * 0.05 ** 0.01 *** 0.001) nonumber nonotes /*noobs*/ /*plain*/ 
eststo clear
est use "$output\2SLS_standard_tinderh28_erhvcomp_given_complete_male`m'.ster"  
est sto r1
est use "$output\boot_2SLS_earn40x3lag7477_complete_reps500_seed211103_date211201.ster"  
est sto r2
esttab r1 r2 using "$output\2SLS_tinderh28_earn40x3lag7477_boot500_male`m'.rtf", rename(vocm`m'ivs erhvcomp) keep(erhvcomp) append b(%9.3f) se(3) stats(N , fmt(%9.0fc)) compress nogaps /*label*/ varwidth(10) modelwidth(6) abbrev star(+ 0.10 * 0.05 ** 0.01 *** 0.001) nonumber nonotes /*noobs*/ /*plain*/ 
}



